@if (testSuiteViewComponentData$ | async; as testSuiteViewComponentData) {
  <div class="test-suite-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.iteration.label.uuid' | translate"
    >
    </sqtm-core-label>
    <div
      [attr.data-test-field-id]="'test-suite-uuid'"
      class="flex-row overflow-hidden"
    >
      <span
        nz-tooltip
        [sqtmCoreLabelTooltip]="getUuid(testSuiteViewComponentData$ | async)"
        nz-paragraph
        class="field-value-color text-ellipsis"
      >
        {{ getUuid(testSuiteViewComponentData$ | async) }}
      </span>
      <span
        class="uuid-copy"
        nz-paragraph
        nz-typography
        nzCopyable
        [nzCopyIcons]="['sqtm-core-generic:copy', 'sqtm-core-generic:confirm']"
        [nzCopyText]="getUuid(testSuiteViewComponentData$ | async)"
      ></span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.id.capitalize' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'test-suite-id'">
      <span class="field-value-color">{{
        getId(testSuiteViewComponentData$ | async)
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.execution-status.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-level-enum-field
      #statusField
      class="full-width"
      [attr.data-test-field-id]="'execution-status'"
      [layout]="'no-buttons'"
      [enumType]="'ExecutionStatus'"
      [excludedKeys]="
        getExcludedExecutionStatusKeys(testSuiteViewComponentData$ | async)
      "
      [showIcon]="true"
      [selectedEnumItem]="
        getSelectedEnumItem(testSuiteViewComponentData$ | async)
      "
      [sqtmCoreEntityViewEditableSelectLevelEnumField]="'executionStatus'"
    >
    </sqtm-core-editable-select-level-enum-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'test-suite-created'"
      [userName]="testSuiteViewComponentData.testSuite.createdBy"
      [date]="testSuiteViewComponentData.testSuite.createdOn"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.progress-state.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'test-suite-progress-state'">
      <span class="field-value-color">{{
        getProgressStatus(testSuiteViewComponentData$ | async) | translate
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'test-suite-lastModified'"
      [userName]="testSuiteViewComponentData.testSuite.lastModifiedBy"
      [date]="testSuiteViewComponentData.testSuite.lastModifiedOn"
    >
    </sqtm-core-auditable-field>
    @for (cfd of customFieldData; track trackCfd($index, cfd)) {
      <sqtm-core-label class="test-suite-grid-first-column" [text]="cfd.label">
      </sqtm-core-label>
      <div class="test-suite-grid-group-three-column">
        <sqtm-core-custom-field-widget [sqtmCoreEntityCustomField]="cfd">
        </sqtm-core-custom-field-widget>
      </div>
    }
  </div>
  <div style="margin-top: 20px">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [border]="true"
      [attr.data-test-field-id]="'test-suite-description'"
      [editable]="true"
      [focus]="true"
      [sqtmCoreEntityViewEditableRichTextField]="'description'"
      [placeholder]="
        'sqtm-core.generic.editable.description.placeholder' | translate
      "
    >
    </sqtm-core-editable-rich-text>
  </div>
}
